* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  background: rgb(255, 251, 247);
  margin-bottom: -32px;
}

/* Hero section */

.hero__section {
  background-image: url("./Images/heroSectionBackground.png");
  height: 400px;
  background-size: cover;
  background-position: center;
  position: relative;
}

.navbar {
  display: flex;
  height: 40px;
  align-items: center;
  justify-content: space-between;
  padding-left: 80px;
  padding-right: 60px;
  font-size: 17px;
}

.navbar a {
  color: white;
}

.navbar a:hover {
  transform: scale(1.02);
}

.navbar__menu_container {
  display: flex;
  gap: 22px;
}

.navbar__menu_container .user_icon {
  display: flex;
  height: 25px;
  width: 25px;
  border: 2px solid white;
  border-radius: 50%;
  align-items: center;
  justify-content: center;
  display: none;
}

.hero__section_container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 25px;
  height: calc(400px - 40px);
}

.hero__section_logo {
  height: 116px;
  width: 388px;
}

.hero__section_heading {
  color: white;
  word-spacing: 3px;
  font-size: 30px;
  font-weight: 380;
}

.hero__section_container_input {
  background: white;
  border-radius: 10px;
  width: 45%;
  padding: 7px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
}

#location_icon {
  color: rgb(239, 79, 95);
  margin-top: -4px;
}

#search_icon {
  color: rgb(239, 79, 95);
  margin-right: 3px;
}

.hero__section_input_location,
.hero__section_input_search {
  border: none;
  padding-top: 4px;
  padding-bottom: 4px;
}

.hero__section_input_location {
  width: 35%;
  border-right: 2px solid #c0c0c0;
  color: gray;
  font-size: 12.9px;
}

.hero__section_input_search {
  width: 65%;
}

/* Media Queries for Hero Section */

@media only screen and (max-width: 685px) {
  .navbar__menu_container .user_icon {
    display: flex;
  }
  .link {
    display: none;
  }
  .hero__section {
    height: 300px;
  }
  .hero__section_container {
    flex-direction: column;
    background-color: transparent;
    width: 100%;
    height: calc(300px - 116px);
  }
  .hero__section_logo {
    height: 60px;
    width: 200px;
    margin-top: 20px;
  }
  .input_container_location,
  .input_container_search {
    padding: 18px;
    border-radius: 10px;
    width: 200px;
  }
  .hero__section_heading {
    font-size: 18px;
    width: 400px;
  }
}

@media only screen and (max-width: 400px) {
  .hero__section {
    width: 119%;
  }
  .hero__section_heading {
    font-size: 18px;
    word-spacing: 0px;
    margin-left: 47px;
  }
  .hero__section_container {
    width: 102%;
    height: 69%;
  }
}

/* Cards section */

.container_cards {
  margin: 3rem auto;
  width: 90%;
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  align-items: center;
  justify-content: center;
}

.we_offer__cards {
  border-radius: 20px;
  overflow: hidden;
}

.we_offer__cards:hover {
  transition: all 0.2s ease;
  transform: scale(1.01);
  border: 1px solid grey;
  cursor: pointer;
  box-shadow: 0 0 15px 5px #a0a0a0;
}

.we_offer__cards img {
  width: 100%;
  height: 160px;
  object-fit: cover;
  object-position: center;
}

.we_offer__cards_content {
  padding: 5px;
}

.we_offer__cards_content h2 {
  font-size: 20px;
  font-weight: 500;
}

.we_offer__cards_content p {
  font-size: 12.5px;
  font-weight: 400;
}

/* Collections section */

.container_collections {
  margin: 3rem auto;
  width: 90%;
}

.container_collections h1 {
  font-weight: 600;
}

.sub_heading__container {
  font-size: 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
  flex-wrap: wrap;
}

.sub_heading__container span:nth-child(2) {
  color: rgb(239, 79, 95);
  font-size: 13px;
  cursor: pointer;
}

.sub_heading__container span[id="span"]:hover {
  text-decoration: underline red;
  color: red;
}

.collections__cards_container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 2.5rem;
}

.cards {
  height: 300px;
  min-width: 240px;
  background-size: cover;
  background-position: center;
  border-radius: 20px;
  position: relative;
}

.cards:hover {
  transform: scale(1.01);
  box-shadow: 0 0 15px 5px #a0a0a0;
  cursor: pointer;
}

.card1 {
  background-image: url("./Images/collection1.jpg");
}

.card2 {
  background-image: url("./Images/collection2.jpg");
}

.card3 {
  background-image: url("./Images/collection3.jpg");
}

.card4 {
  background-image: url("./Images/collection4.jpg");
}

.overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 10px;
  background: linear-gradient(
    0deg,
    rgba(80, 80, 80, 0.8) 0%,
    rgba(0, 0, 0, 0) 50%,
    rgba(0, 0, 0, 0) 100%
  );
  z-index: 5;
}

.collections__content {
  position: absolute;
  bottom: 0;
  left: 0;
  color: white;
  padding-left: 8px;
  padding-bottom: 12px;
  font-size: 0.9rem;
  z-index: 6;
}

/* This is for get the App section */

.container__get_the_App {
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgb(255, 251, 247);
  width: 90%;
  margin: 3rem auto;
}

.semi_container {
  width: 80%;
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  justify-content: center;
  align-items: center;
  background: white;
}

.semi_container__left {
  flex: 1.5;
}

.semi_container__left img {
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.semi_container__right {
  flex: 3;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin-left: 10px;
}

.semi_container__right h1 {
  font-size: 2rem;
  font-weight: 500;
}

.semi_container__right p {
  font-size: 0.9rem;
  letter-spacing: 0.5px;
  font-weight: 500;
}

.semi_container__right .radio_button__container {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.semi_container__right .radio_button__container div {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.semi_container__right .radio_button__container div input {
  height: 15px;
  width: 15px;
  accent-color: rgb(239, 79, 95);
}

.input__container {
  display: flex;
  gap: 0.6rem;
  flex-wrap: wrap;
}

.input__container button,
.input__container input {
  padding: 10px 12px;
}

.input__container input {
  flex: auto;
  border: 1.5px solid gray;
  border-radius: 10px;
  outline: none;
}

.input__container button {
  border: none;
  border-radius: 5px;
  color: white;
  background: rgb(239, 79, 95);
  cursor: pointer;
}

.input__container button:hover {
  background: red;
}

.download_app__container {
  display: flex;
  flex-direction: column;
  gap: 0.7rem;
}

.download_app__container h5 {
  font-weight: 450;
  font-size: 0.8rem;
  color: gray;
}

.download_app__container div {
  display: flex;
  gap: 1rem;
}

.download_app__container div img {
  cursor: pointer;
  width: 30%;
}

/* Media Queries for get App section */

@media only screen and (max-width: 1300px) {
  .container__get_the_App .semi_container .semi_container__left,
  .container__get_the_App .semi_container .semi_container__right {
    flex: 1;
  }

  .container__get_the_App .semi_container {
    width: 80%;
  }
}

@media only screen and (max-width: 900px) {
  .container__get_the_App {
    padding: 2rem 0;
  }
  .container__get_the_App .semi_container {
    width: 95%;
    flex-direction: column;
  }
  .container__get_the_App .semi_container .semi_container__left img {
    height: 300px;
  }
}

/* This is for Explore places section */

.explore_places__container {
  width: 90%;
  margin: 3rem auto;
}

.explore_places__container .sub_container {
  width: 90%;
}

.explore_places__container .sub_container div h1 {
  font-weight: 600;
}

.explore_places__container .sub_container div span {
  font-size: 14px;
}

.drop_down__container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin: 2rem auto;
}

.drop_down_menu {
  height: 50px;
  width: 1100px;
  border-radius: 10px;
  padding: 15px;
}

/* Media Queries for explore section */

@media only screen and (max-width: 900px) {
  .drop_down_menu {
    width: 600px;
  }
}

@media only screen and (max-width: 685px) {
  .drop_down_menu {
    width: 400px;
  }
}

/* This is for the footer section */

.footer__container {
  width: 90%;
  margin: 4rem auto;
}

.footer_section1 {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  margin: auto;
  width: 70;
}

.footer_section1 img {
  width: 130px;
}

.section1__button_container button {
  padding: 7px;
  border: 1px solid gray;
  border-radius: 8px;
  cursor: pointer;
}

.section1__button_container button:nth-child(2) {
  margin-left: 7px;
}

.navigation_container {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  margin: auto;
  gap: 1rem;
  padding: 3rem 0;
}

.link_container {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.link_container h5 {
  font-size: 16px;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.link_container_anchors a {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  text-transform: none;
  color: gray;
  gap: 5px;
  font-weight: 400;
  margin-bottom: 4px;
}

.link_container_anchors a:hover {
  color: black;
}

.link_container h5[id="enterprises"] {
  margin-top: 10px;
  letter-spacing: 1px;
}

.social_media_logos {
  margin: 18px 30px;
}

.social_media_logos img {
  width: 80%;
  margin-left: -28px;
  cursor: pointer;
}

.social_media_logos img[id="img2"] {
  margin-top: 5px;
}

.social_media_icon_buttons button {
  background: black;
  border: none;
  border-radius: 50%;
  height: 22px;
  width: 22px;
  cursor: pointer;
  color: white;
}

.social_media_icon_buttons button i {
  display: flex;
  font-size: 13px;
  justify-content: center;
  align-items: center;
}

.disclaimer {
  font-size: 13px;
  color: gray;
  margin-top: auto;
  border-top: 1px solid #c0c0c0;
  padding-top: 20px;
}

/* Media queries for footer section */

@media only screen and (max-width: 900px) {
  .navigation_container {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media only screen and (max-width: 500px) {
  .navigation_container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 320px) {
  .navigation_container {
    grid-template-columns: repeat(1, 1fr);
  }
}
